* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }
  
  :root {
    --text-fonts: 'Assistant', sans-serif; 
  
    --light-color: #f6f5eb;
    --dark-color: #1e1e1e;
    
    /* Text color */
    --text-color: #1c1c1c;
    
    /* Navbar parameters */
    --logo-width: 200px;
    --navbar-text-color: #1c1c1c; /* Can be set to var(--text-color) */
    --hover-color: #a7a7a7;
    --navbar-gap: 10px; /* note that there is a 10px padding between items already*/
    --navbar-color: #ffffffdd;
    --navbar-padding-top: 25px;
    --navbar-padding-bottom: 25px;
    --navbar-padding-left : 12px;
    --navbar-padding-right: 8px;
    --navbar-logo-menu-space: 10px;
  
    /* Index and Category */
    --figure-width : 240px;
    --aspect-ratio : 1/1;
    --image-per-row-percent: 33.33333%;         /*(1/number-images-per-row)%, 33% = 3 images, 25% = 4 images, etc.*/
    --gallery-figure-padding: 0 15px 15px 15px; /*top, right, bottom, left */
    --gallery-background-color: #fff;
    --image-zoom-hover: 1.01;                   /* 1.0 for no zoom, 1.05 looks nice*/
    --image-opacity-hover: 0.5;                 /* between 0 and 1, 0 = transparent, 1 = no change */
    --image-brightness-hover: 1;                /* between 0 and 1 to darken */
    --gallery-figcaption-align: left;           /* left, center, right */ 
  
    /* Oeuvre */
    --art-grid-template-columns: 45% 55%; /* left : image, right: text*/
    --art-padding-image-text: 20px;       /* space between image and text columns*/
  
    /* Images on art page */
    --image-art-per-row-percent: 25%;
    --image-art-aspect-ratio: 1/1;
    --image-art-row-gap: 20px; 
    --image-art-padding-top: 30px;
  
    /* Bio */ 
    --bio-grid-template-columns: 50% 50%;
    --bio-column-gap: 10px;
  
    /* Footer text color */
    --footer-padding-top: 5px;
    --footer-padding-bottom: 5px;
    --footer-text-color: rgb(124, 124, 124);
    --footer-background-color: #fff;
    --copyright-padding-right: 15px;
    --footer-img-padding-left: 10px;
  }
  
  body {
    font-family: var(--text-fonts);
    font-size: 16px;
    color: var(--text-color);
    line-height: 1.5;
    background: #fff;
    margin: 0;
    min-height: 100vh;
  }
  
  a {
    text-decoration: none;
    color: var(--navbar-text-color);
  }
  
  ul {
    list-style: none;
    list-style-type: none;
  }
  

  img {
    max-width: 100%;
  }
  
  figcaption {
    font-size: 14px;
    margin-top: 8px;
  }
  


/* *************** */
/* Utility Calsses */
/* *************** */
.container {
  max-width: 1100px;
  margin: 0 auto;
  padding-right: 10px;
  padding-left: 10px;
  overflow-x: hidden;
}

.text-xxl {
  font-size: 2.9vw;
  line-height: 1.2;
  font-weight: 600;
  margin: 20px 0 20px;
  text-transform: uppercase;
}

.text-xl {
  font-size: 2.5vw;
  line-height: 1.4;
  font-weight: normal;
  margin: 20px 0 20px;
}

.text-lg {
  font-size: 1.8rem;
  line-height: 1.4;
  font-weight: normal;
  margin: 0px 0 0px;
}

.text-md {
  font-size: 1rem;
  line-height: 1.2;
  font-weight: normal;
  margin: 10px 0 10px;
}

.text-sm {
  font-size: 0.9rem;
  line-height: 1.4;
  font-weight: normal;
  margin: 5px 0 5px;
  text-align: justify;
}

.text-sm-2 {
  font-size: 0.9rem;
  line-height: 1.4;
  font-weight: normal;
  margin: 10px 0 5px;
}


.navbar {
  background: var(--navbar-color);
  padding-top: var(--navbar-padding-top);
  padding-bottom: var(--navbar-padding-bottom);
  text-transform: uppercase;
}
  
.navbar .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
  
.navbar .logo {
  display: flex;
  justify-content: center;
}

.navbar .logo img {
  padding-left: var(--navbar-padding-left);
  width: var(--logo-width);
  height: auto;
}
  
.navbar .main-menu {
  padding-right: var(--navbar-padding-right);
}
  
.navbar .main-menu ul {
  display: flex;
  gap: var(--navbar-gap);
  justify-content: center;
}

.navbar .main-menu ul li a {
  padding: 0 10px;
  display: block;
  transition: 0.5s;
}
  

.navbar ul li a:hover {
  color: var(--hover-color);
}

.containerBox {
  position: relative;
  display: inline-block;
}

.text-box {
    position: absolute;    
    height: 100%;
    text-align: center;    
    width: 100%;
    transform: translate(0%, 0%);
}

.text-box:before {
   content: '';
   display: inline-block;
   height: 120%;
   vertical-align: middle;
}
.text-box p {
   display: inline-block;
   font-size: 16px;
   color: #1c1c1c;
}

.text-box .brush-wrap p {
  max-width:600px;
}

.image-top {
  position: relative;
  display: inline-block;
  max-width: 100%;
  height: auto;
}

.image-top img {
  object-fit:cover;
  height: 600px;
  width: 100vw;
  /* text-align: center; */
}


.row {
  display: flex;
  }
  
.column {
  flex: 50%;
  padding: 20px;
  text-align: center;
}

.column img{
  width: 100%;
  aspect-ratio: 4/3;
  object-fit: cover;
        
}

.footer {
  background: #1c1c1c;
  width:100%;
}

.footer p{
  color: #fff;
}

.footer-row {
  display: flex;
}
  
.footer-column {
  flex: 25%;
  padding: 20px;
}

.column4 {
  flex: 25%;
  padding: 5px;
}

.column4 img {
  width: 100%;
  aspect-ratio: 4/3;
  object-fit: cover;
}

.column3 {
  flex: 33.33333333333333%;
  padding: 10px;
}

.button {
  background-color: #1c1c1c;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
}

/* create wrapper */
.brush-wrap {
  position: relative;
  display: inline-block;
  padding: 2rem 6rem;
  /* padding: 5rem 6rem; */

}

/* applying example animation (indefinite variant) */
.brush-wrap.brush-wrap--indefinite:before {
  clip-path: url(#clip-indefinite);
}

/* clipping/animating object (pseudo element) */
.brush-wrap:before {
  content: '';
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  background: #ffffffc9;
  z-index: -1;
  clip-path: url(#clip); /* applying clip animation */
}

.brush-wrap p {
  font-size: 1.2rem;
  margin: 0;
  color: #1c1c1c;
  filter: drop-shadow(0px 0px 2px rgb(255, 255, 255));
}

/* **************** */
/* hamburger button */
/* **************** */
.hamburger-button{
  display:none;
  background: none;
  border: none;
  cursor: pointer;
  padding: 10px;
  z-index: 1000;
}

.hamburger-button .hamburger-line{
  width: 30px;
  height: 2px;
  background: var(--text-color);
  margin: 6px 0;
  z-index: 1000;
}

.hamburger-button .hamburger-image{
  width: 30px;
  height: 30px;
  background: none;
  /* margin: 6px 0; */
  z-index: 1000;
}

.mobile-menu{
  position: fixed;
  top: 0;
  right: -300px;
  width: 175px;
  height: 100%;
  z-index: 999;
  background-color: #fff;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
  transition: right 0.3s ease-in-out;
}

.mobile-menu.active {
  right: 0px;
}

.mobile-menu ul {
  margin-top: 100px;
  padding-right: 10px;
  padding-left: 20px;
}
.mobile-menu ul li {
  margin: 10px 0;
}

.mobile-menu ul li a {
  font-size: 15px;
  transition: 0.3s;
}

#small-screen{
  display:none;
}


@media screen and (max-width:800px) {

  .navbar .main-menu{
    display: none;
  }

  .hamburger-button{
    display: block;
  }

  #index:before {
    height: 30%;
  }

  .text-box:before{
    height: 50%;
  }

  #small-screen{
    display:block;
  }

  #large-screen{
    display:none;
  }

  .text-xxl {
    font-size: 2rem;
  } 

  .text-xl {
    font-size: 1.5rem;
  }

  .text-md {
    font-size: 1rem;
  }

}

/* Grid template to auto adjust the number of columns according to width of the screen*/
/* .grid {
  display: grid;
  gap: 2rem;
  grid-template-columns: repeat(auto-fit,minmax(250px, 1fr));
} */